# Geocode Project PropsAMC

This project was assigned by Props{AMC} company. The project takes the excel sheet of address as an input and gives an output as an excel sheet with the address's relevant latitude and longitude. It also mails the excel sheet to email given.

Instructions:-

Thank you for your interest in my profile . The assignment which you had assigned was quiet easy. So, i have given few extra features and project description is given below... 

          > The api which i am using to fetch geocode of address is https://developer.mapquest.com. 
          > The api uses google geocode .The output is derived from the above api.
          > As i found google geocode cloud api is payed api. I have used the above api for free.
          > Provide the email address properly because this project not only gives the xlsx file as output it also mails the excel sheet to the respective email which you have entered. so, you can verify the output.
          > I have used modular form to write the api's , which the industry prefers.
          > Iam a fullstack developer and i also work on server configurations.
          > Technologies which i work on django(python), reactjs.
          > In this project i haven't used reactjs.
          > Use the excel file which is given in the project.
          
          Note: The file will be downloaded on the browser after it downloads it is success.
          
The Email configurations 
        
         > I have removed the EMAIL-HOST-user-email and password after testing.
         > So, add your email id and password for the sending email before you run the app and make sure you give access from your gmail account.
         > So, i have specifed all the package requirements in requirements.txt file. Install all packages before running the application.
        
Note: The file should be in xlsx format. sheetname should be 'GeoSheet'

Thank You...